Joomla 1.0 sites breaking as server technology moves forward

As predicted in an article in July last year, old Joomla 1.0 sites are now starting to come into issues as web server technology advances.

One of our customers reported an issue on their old site which we investigated. We discovered the host upgraded their servers to the latest version of PHP 5.3.2 which was released early March. The changes in PHP 5.3.2 aren't compatible with some code in older versions of Joomla like the Frontpage Component which causes an error to be displayed and no content.

As fate had it we were in the final stages of upgrading the site to Joomla 1.5 so it was no biggy but for anyone else on Joomla1.0.x you'll have to add a hack to the Joomla core which you can get from here and start looking for someone to upgrade your site - which of course my company, JoomStore, can help you with.

It's not just a Joomla 1.0 issue.

Last August, the Joomla development team called for help testing Joomla 1.5.15 for PHP5.3. I haven't tested all versions but I'm pretty certain that any version of Joomla prior to Joomla 1.5.15 may have issues with PHP5.3.

If you're on an older version of Joomla 1.5 the upgrade is quite a simple process.

If you're still running Joomla 1.0 then it's a lot more complicated. You should read this article.

The latest version of Joomla runs fine on PHP5.3.2.

john-pitchers-avatar smAbout John Pitchers

John Pitchers is co-founder and lead developer at Joomstore where his primary role is the design and development of Joomla websites. He is also the developer of the FocalPoint maps extension for Joomla. John has been building CMS based web sites since 2004, originally working with Mambo before it forked into Joomla. When not writing PHP, Javascript or CSS you'll find John carving up the hills around Baldivis on his longboard (long before Walter Mitty made it famous).

Find out more about John on his About.me page and . Follow John on Twitter.

These posts may interest you...

Leave a comment